> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Institutions/RoutingNumber

> Returns the details of the institution corresponding to the routing number.

This endpoint returns the details of the institution corresponding to the routing number. This endpoint does not take any query parameters or body parameters.

<Warning>
  <p class="h4">Keep in mind</p>

  The routing numbers are present only for US institutions.
</Warning>


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/Institutions/RoutingNumber/{routingNumber}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/Institutions/RoutingNumber/{routingNumber}:
    get:
      tags:
        - Connect
      summary: Get Institution by Routing Number
      description: >-
        Returns the details of the institution corresponding to the routing
        number.
      operationId: getInstitutionByRoutingNumber
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: routingNumber
          in: path
          required: true
          schema:
            type: string
          description: Routing Number for the Institution details to be accessed.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  Id:
                    type: integer
                    description: Unique identifier for the institution.
                  Localizations:
                    type: array
                    description: Localized information for the institution.
                    items:
                      type: object
                      properties:
                        Language:
                          type: string
                          description: Language code.
                        Name:
                          type: string
                          description: Localized name of the institution.
                        Urls:
                          type: array
                          description: URLs associated with the institution.
                          items:
                            type: object
                            properties:
                              Type:
                                type: string
                                description: Type of URL.
                              Url:
                                type: string
                                description: The URL.
                  Status:
                    type: string
                    description: Status of the institution.
                  Country:
                    type: string
                    description: Country code.
                  RoutingNumbers:
                    type: array
                    description: >-
                      List of all routing numbers associated with the
                      institution.
                    items:
                      type: string
              example:
                Id: 20
                Localizations:
                  - Language: en
                    Name: Chase Bank
                    Urls:
                      - Type: Main
                        Url: https://www.chase.com/
                Status: Enabled
                Country: US
                RoutingNumbers:
                  - '071000770'
                  - '072413201'
                  - '065000029'
                  - '071901141'
                  - '111100022'
                  - '043202409'
                  - '311972788'
                  - '121143257'
                  - '021000021'
                  - '322271627'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Message:
                    type: string
                    description: Error message indicating no institution was found.
              example:
                HttpStatusCode: 404
                Message: 'No institution was found with the Routing Number: 322271622'

````